[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

r1496 - in glibc-package/trunk/debian: . patches patches/arm rules.d



Author: aurel32
Date: 2006-05-20 06:31:03 +0000 (Sat, 20 May 2006)
New Revision: 1496

Added:
   glibc-package/trunk/debian/patches/arm/local-softfloat.diff
Modified:
   glibc-package/trunk/debian/changelog
   glibc-package/trunk/debian/control
   glibc-package/trunk/debian/patches/series
   glibc-package/trunk/debian/rules.d/control.mk
Log:
  * Add patches/arm/local-softfloat.diff (support for arm softfloat).  (Closes:
    #358772)
  * debian/rules.d/control.mk: Add arm-softfloat to the architectures list.



Modified: glibc-package/trunk/debian/changelog
===================================================================
--- glibc-package/trunk/debian/changelog	2006-05-20 05:09:19 UTC (rev 1495)
+++ glibc-package/trunk/debian/changelog	2006-05-20 06:31:03 UTC (rev 1496)
@@ -2,7 +2,10 @@
 
   [ Aurelien Jarno ]
   * debian/debhelper.in/libc.preinst: use the original path if readlink -f 
-    fails to canonicalize the path.  (Closes: bug#368116)
+    fails to canonicalize the path.  (Closes: #368116)
+  * Add patches/arm/local-softfloat.diff (support for arm softfloat).  (Closes:
+    #358772)
+  * debian/rules.d/control.mk: Add arm-softfloat to the architectures list.
 
  -- Aurelien Jarno <aurel32@debian.org>  Fri, 19 May 2006 05:49:18 +0000
 

Modified: glibc-package/trunk/debian/control
===================================================================
--- glibc-package/trunk/debian/control	2006-05-20 05:09:19 UTC (rev 1495)
+++ glibc-package/trunk/debian/control	2006-05-20 06:31:03 UTC (rev 1496)
@@ -57,7 +57,7 @@
  locale files take a lot of memory to be compiled.
 
 Package: nscd
-Architecture: alpha amd64 arm armeb i386 m68k mips mipsel powerpc ppc64 sparc ia64 hppa s390 sh3 sh4 sh3eb sh4eb kfreebsd-i386 kfreebsd-amd64
+Architecture: alpha amd64 arm arm-softfloat armeb i386 m68k mips mipsel powerpc ppc64 sparc ia64 hppa s390 sh3 sh4 sh3eb sh4eb kfreebsd-i386 kfreebsd-amd64 
 Section: admin
 Priority: optional
 Depends: libc6 (>= ${Source-Version})

Added: glibc-package/trunk/debian/patches/arm/local-softfloat.diff
===================================================================
--- glibc-package/trunk/debian/patches/arm/local-softfloat.diff	2006-05-20 05:09:19 UTC (rev 1495)
+++ glibc-package/trunk/debian/patches/arm/local-softfloat.diff	2006-05-20 06:31:03 UTC (rev 1496)
@@ -0,0 +1,99 @@
+#! /bin/sh -e
+
+# All lines beginning with `# DP:' are a description of the patch.
+# DP: Description: fix ioperm build error on arm
+
+if [ $# -ne 2 ]; then
+    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+    exit 1
+fi
+case "$1" in
+    -patch) patch -d "$2" -f --no-backup-if-mismatch -p0 < $0;;
+    -unpatch) patch -d "$2" -f --no-backup-if-mismatch -R -p0 < $0;;
+    *)
+	echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+	exit 1
+esac
+exit 0
+
+--- Makeconfig.orig	2006-03-23 17:32:26.000000000 +0100
++++ Makeconfig	2006-03-23 14:13:10.000000000 +0100
+@@ -904,7 +904,7 @@
+ # is more or less arbitrary.  The sorting step will take care of the
+ # dependencies.  Only the $(binfmt-subdir) should always be kept at the
+ # end of the list.
+-all-subdirs = csu assert ctype locale intl catgets math setjmp signal	    \
++all-subdirs = soft-fp csu assert ctype locale intl catgets math setjmp signal	    \
+ 	      stdlib stdio-common libio malloc string wcsmbs time dirent \
+ 	      grp pwd posix io termios resource misc socket sysvipc gmon    \
+ 	      gnulib iconv iconvdata wctype manual shadow po argp	    \
+--- sysdeps/arm/sfp-machine.h	1970-01-01 01:00:00.000000000 +0100
++++ sysdeps/arm/sfp-machine.h	2000-09-05 10:41:37.000000000 +0200
+@@ -0,0 +1,47 @@
++#define _FP_W_TYPE_SIZE		32
++#define _FP_W_TYPE		unsigned long
++#define _FP_WS_TYPE		signed long
++#define _FP_I_TYPE		long
++
++#define _FP_MUL_MEAT_S(R,X,Y)				\
++  _FP_MUL_MEAT_1_wide(_FP_WFRACBITS_S,R,X,Y,umul_ppmm)
++#define _FP_MUL_MEAT_D(R,X,Y)				\
++  _FP_MUL_MEAT_2_wide(_FP_WFRACBITS_D,R,X,Y,umul_ppmm)
++#define _FP_MUL_MEAT_Q(R,X,Y)				\
++  _FP_MUL_MEAT_4_wide(_FP_WFRACBITS_Q,R,X,Y,umul_ppmm)
++
++#define _FP_DIV_MEAT_S(R,X,Y)	_FP_DIV_MEAT_1_udiv_norm(S,R,X,Y)
++#define _FP_DIV_MEAT_D(R,X,Y)	_FP_DIV_MEAT_2_udiv(D,R,X,Y)
++#define _FP_DIV_MEAT_Q(R,X,Y)	_FP_DIV_MEAT_4_udiv(Q,R,X,Y)
++
++#define _FP_NANFRAC_S		((_FP_QNANBIT_S << 1) - 1)
++#define _FP_NANFRAC_D		((_FP_QNANBIT_D << 1) - 1), -1
++#define _FP_NANFRAC_Q		((_FP_QNANBIT_Q << 1) - 1), -1, -1, -1
++#define _FP_NANSIGN_S		0
++#define _FP_NANSIGN_D		0
++#define _FP_NANSIGN_Q		0
++
++#define _FP_KEEPNANFRACP 1
++/* From my experiments it seems X is chosen unless one of the
++   NaNs is sNaN,  in which case the result is NANSIGN/NANFRAC.  */
++#define _FP_CHOOSENAN(fs, wc, R, X, Y, OP)			\
++  do {								\
++    if ((_FP_FRAC_HIGH_RAW_##fs(X) |				\
++	 _FP_FRAC_HIGH_RAW_##fs(Y)) & _FP_QNANBIT_##fs)		\
++      {								\
++	R##_s = _FP_NANSIGN_##fs;				\
++        _FP_FRAC_SET_##wc(R,_FP_NANFRAC_##fs);			\
++      }								\
++    else							\
++      {								\
++	R##_s = X##_s;						\
++        _FP_FRAC_COPY_##wc(R,X);				\
++      }								\
++    R##_c = FP_CLS_NAN;						\
++  } while (0)
++
++#define FP_EX_INVALID           (1 << 4)
++#define FP_EX_DIVZERO           (1 << 3)
++#define FP_EX_OVERFLOW          (1 << 2)
++#define FP_EX_UNDERFLOW         (1 << 1)
++#define FP_EX_INEXACT           (1 << 0)
+--- soft-fp/Makefile.orig	2006-03-23 23:58:48.000000000 +0100
++++ soft-fp/Makefile	2006-03-23 23:59:22.000000000 +0100
+@@ -35,10 +35,14 @@
+ 	fixunstfdi floatditf extendsftf2 trunctfsf2 extenddftf2 \
+ 	trunctfdf2 sqrttf2
+ 
++routines = $(gcc-single-routines) \
++	$(gcc-double-routines) \
++	$(gcc-quad-routines)
++
++static-only-routines = $(routines)
++
+ distribute := double.h op-1.h op-2.h op-4.h op-common.h quad.h \
+ 	single.h soft-fp.h extended.h Banner op-8.h testit.c \
+-	$(addsuffix .c,$(gcc-single-routines)) \
+-	$(addsuffix .c,$(gcc-double-routines)) \
+-	$(addsuffix .c,$(gcc-quad-routines))
++	$(addsuffix .c,$(routines))
+ 
+ include ../Rules

Modified: glibc-package/trunk/debian/patches/series
===================================================================
--- glibc-package/trunk/debian/patches/series	2006-05-20 05:09:19 UTC (rev 1495)
+++ glibc-package/trunk/debian/patches/series	2006-05-20 06:31:03 UTC (rev 1496)
@@ -57,6 +57,7 @@
 arm/local-dwarf2-buildfix.diff -p0
 arm/local-ioperm.diff -p0
 arm/local-no-hwcap.diff -p0
+arm/local-softfloat.diff -p0
 
 hppa/local-Rminkernel.diff -p0
 hppa/submitted-drop-utimes.diff -p1

Modified: glibc-package/trunk/debian/rules.d/control.mk
===================================================================
--- glibc-package/trunk/debian/rules.d/control.mk	2006-05-20 05:09:19 UTC (rev 1495)
+++ glibc-package/trunk/debian/rules.d/control.mk	2006-05-20 06:31:03 UTC (rev 1496)
@@ -1,6 +1,6 @@
 control_deps := $(addprefix debian/control.in/, libc6 libc6.1 libc0.1 libc0.3 sparc64 s390x powerpc ppc64 opt amd64)
 
-threads_archs := alpha amd64 arm armeb i386 m68k mips mipsel powerpc ppc64 sparc ia64 hppa s390 sh3 sh4 sh3eb sh4eb kfreebsd-i386 kfreebsd-amd64
+threads_archs := alpha amd64 arm arm-softfloat armeb i386 m68k mips mipsel powerpc ppc64 sparc ia64 hppa s390 sh3 sh4 sh3eb sh4eb kfreebsd-i386 kfreebsd-amd64 
 
 debian/control.in/libc6: debian/control.in/libc debian/rules.d/control.mk
 	sed -e 's%@libc@%libc6%g' \



Reply to: